Subject: Re: bug#17771: 24.3.91; SIGSEGV in cleanup_vector

From: Dmitry Antipov <[email-masked]>
Date: Mon, 16 Jun 2014 16:37:04 +0400

On 06/16/2014 02:16 PM, Stephen Berman wrote:

> How long does it take for HELLO to be displayed on your machine?

No more than 1s, I think.

> Do you have time to type `C-g' numerous times?

Hopefully yes.

> Unfortunately, I still get the same crash.  Does it matter that I the
> emacs-24 source I applied your patch to includes Eli's patch to alloc.c?

Yes.

Perhaps font->driver must be set to NULL earlier, immediately after
allocation? Try this.

Dmitry

=== modified file 'src/font.c'
--- src/font.c	2014-03-03 19:58:20 +0000
+++ src/font.c	2014-06-16 12:32:31 +0000
@@ -207,6 +207,7 @@
     = (struct font *) allocate_pseudovector (size, FONT_OBJECT_MAX, PVEC_FONT);
   int i;
 
+  font->driver = NULL;
   XSETFONT (font_object, font);
 
   if (! NILP (entity))